{"openapi":"3.0.1","info":{"title":"FAIR Data Point API","description":"The reference implementation of the metadata registration service: A service implementing the API specification. It contains an authentication system to allow maintainers to define and update metadata. Read-only access to the data is public.","contact":{"name":"Luiz Bonino","url":"https://github.com/FAIRDataTeam/FAIRDataPoint","email":"luiz.bonino@go-fair.org"},"license":{"name":"The MIT License","url":"https://opensource.org/licenses/MIT"},"version":"1.16.2"},"servers":[{"url":"https://w3id.org/ejp-rd/fairdatapoints/wp13"}],"security":[{"bearer-jwt":["read","write"]}],"tags":[{"name":"Metadata","description":"Common operations with all metadata"},{"name":"Metadata: Catalog","description":"Metadata according to the Catalog resource definition"},{"name":"Metadata: DataService2","description":"Metadata according to the DataService2 resource definition"},{"name":"Metadata: Dataservice","description":"Metadata according to the Dataservice resource definition"},{"name":"Metadata: Dataset","description":"Metadata according to the Dataset resource definition"},{"name":"Metadata: Distribution","description":"Metadata according to the Distribution resource definition"},{"name":"Metadata: FAIR Data Point","description":"Metadata according to the FAIR Data Point resource definition"},{"name":"Metadata: PatientRegistry","description":"Metadata according to the PatientRegistry resource definition"},{"name":"Metadata Model","description":"Manipulation with model of metadata"},{"name":"Client","description":"Endpoints for FAIR Data Point Client"},{"name":"Index","description":"FAIR Data Point Index endpoints"},{"name":"Authentication and Authorization","description":"Management of access to FDP (not specific type of metadata)"},{"name":"User Management","description":"Management of user accounts"}],"paths":{"/catalog":{"post":{"tags":["Metadata: Catalog"],"description":"Create a new Catalog","operationId":"postCatalog","requestBody":{"description":"Catalog in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}":{"get":{"tags":["Metadata: Catalog"],"description":"Get Catalog","operationId":"getCatalog","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: Catalog"],"description":"Edit existing Catalog","operationId":"putCatalog","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Catalog in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Catalog"],"description":"Delete existing Catalog","operationId":"deleteCatalog","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/spec":{"get":{"tags":["Metadata: Catalog"],"description":"Get SHACL shape specification for Catalog","operationId":"getCatalogSpec","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/expanded":{"get":{"tags":["Metadata: Catalog"],"description":"Get Catalog with its children","operationId":"getCatalogExpanded","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/page/{childPrefix}":{"get":{"tags":["Metadata: Catalog"],"description":"Get a page of Catalog children","operationId":"getCatalogChildrenPage","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"childPrefix","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/meta":{"get":{"tags":["Metadata: Catalog"],"description":"Get metadata (memberships and state) for Catalog","operationId":"getCatalogMeta","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/meta/state":{"put":{"tags":["Metadata: Catalog"],"description":"Change state of Catalog","operationId":"putCatalogMetaState","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/members":{"get":{"tags":["Metadata: Catalog"],"description":"Get members of a specific Catalog","operationId":"getCatalogMembers","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/catalog/{uuid}/members/{userUuid}":{"put":{"tags":["Metadata: Catalog"],"description":"Set membership for specific user in some Catalog","operationId":"putCatalogMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New membership","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Catalog"],"description":"Delete membership of specific user in some Catalog","operationId":"deleteCatalogMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset":{"post":{"tags":["Metadata: Dataset"],"description":"Create a new Dataset","operationId":"postDataset","requestBody":{"description":"Dataset in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}":{"get":{"tags":["Metadata: Dataset"],"description":"Get Dataset","operationId":"getDataset","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: Dataset"],"description":"Edit existing Dataset","operationId":"putDataset","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Dataset in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Dataset"],"description":"Delete existing Dataset","operationId":"deleteDataset","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/spec":{"get":{"tags":["Metadata: Dataset"],"description":"Get SHACL shape specification for Dataset","operationId":"getDatasetSpec","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/expanded":{"get":{"tags":["Metadata: Dataset"],"description":"Get Dataset with its children","operationId":"getDatasetExpanded","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/page/{childPrefix}":{"get":{"tags":["Metadata: Dataset"],"description":"Get a page of Dataset children","operationId":"getDatasetChildrenPage","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"childPrefix","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/meta":{"get":{"tags":["Metadata: Dataset"],"description":"Get metadata (memberships and state) for Dataset","operationId":"getDatasetMeta","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/meta/state":{"put":{"tags":["Metadata: Dataset"],"description":"Change state of Dataset","operationId":"putDatasetMetaState","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/members":{"get":{"tags":["Metadata: Dataset"],"description":"Get members of a specific Dataset","operationId":"getDatasetMembers","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataset/{uuid}/members/{userUuid}":{"put":{"tags":["Metadata: Dataset"],"description":"Set membership for specific user in some Dataset","operationId":"putDatasetMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New membership","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Dataset"],"description":"Delete membership of specific user in some Dataset","operationId":"deleteDatasetMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution":{"post":{"tags":["Metadata: Distribution"],"description":"Create a new Distribution","operationId":"postDistribution","requestBody":{"description":"Distribution in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}":{"get":{"tags":["Metadata: Distribution"],"description":"Get Distribution","operationId":"getDistribution","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: Distribution"],"description":"Edit existing Distribution","operationId":"putDistribution","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Distribution in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Distribution"],"description":"Delete existing Distribution","operationId":"deleteDistribution","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/spec":{"get":{"tags":["Metadata: Distribution"],"description":"Get SHACL shape specification for Distribution","operationId":"getDistributionSpec","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/expanded":{"get":{"tags":["Metadata: Distribution"],"description":"Get Distribution with its children","operationId":"getDistributionExpanded","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/page/{childPrefix}":{"get":{"tags":["Metadata: Distribution"],"description":"Get a page of Distribution children","operationId":"getDistributionChildrenPage","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"childPrefix","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/meta":{"get":{"tags":["Metadata: Distribution"],"description":"Get metadata (memberships and state) for Distribution","operationId":"getDistributionMeta","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/meta/state":{"put":{"tags":["Metadata: Distribution"],"description":"Change state of Distribution","operationId":"putDistributionMetaState","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/members":{"get":{"tags":["Metadata: Distribution"],"description":"Get members of a specific Distribution","operationId":"getDistributionMembers","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/distribution/{uuid}/members/{userUuid}":{"put":{"tags":["Metadata: Distribution"],"description":"Set membership for specific user in some Distribution","operationId":"putDistributionMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New membership","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Distribution"],"description":"Delete membership of specific user in some Distribution","operationId":"deleteDistributionMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService":{"post":{"tags":["Metadata: Dataservice"],"description":"Create a new Dataservice","operationId":"postDataService","requestBody":{"description":"Dataservice in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}":{"get":{"tags":["Metadata: Dataservice"],"description":"Get Dataservice","operationId":"getDataService","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: Dataservice"],"description":"Edit existing Dataservice","operationId":"putDataService","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Dataservice in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Dataservice"],"description":"Delete existing Dataservice","operationId":"deleteDataService","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/spec":{"get":{"tags":["Metadata: Dataservice"],"description":"Get SHACL shape specification for Dataservice","operationId":"getDataServiceSpec","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/expanded":{"get":{"tags":["Metadata: Dataservice"],"description":"Get Dataservice with its children","operationId":"getDataServiceExpanded","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/page/{childPrefix}":{"get":{"tags":["Metadata: Dataservice"],"description":"Get a page of Dataservice children","operationId":"getDataServiceChildrenPage","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"childPrefix","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/meta":{"get":{"tags":["Metadata: Dataservice"],"description":"Get metadata (memberships and state) for Dataservice","operationId":"getDataServiceMeta","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/meta/state":{"put":{"tags":["Metadata: Dataservice"],"description":"Change state of Dataservice","operationId":"putDataServiceMetaState","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/members":{"get":{"tags":["Metadata: Dataservice"],"description":"Get members of a specific Dataservice","operationId":"getDataServiceMembers","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataService/{uuid}/members/{userUuid}":{"put":{"tags":["Metadata: Dataservice"],"description":"Set membership for specific user in some Dataservice","operationId":"putDataServiceMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New membership","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: Dataservice"],"description":"Delete membership of specific user in some Dataservice","operationId":"deleteDataServiceMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/":{"get":{"tags":["Metadata: FAIR Data Point"],"description":"Get FAIR Data Point","operationId":"getFAIR Data Point","responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: FAIR Data Point"],"description":"Edit existing FAIR Data Point","operationId":"putFAIR Data Point","requestBody":{"description":"FAIR Data Point in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"post":{"tags":["Index"],"description":"Inform about running FAIR Data Point. It is expected to send pings regularly (at least weekly). There is a rate limit set both per single IP within a period of time and per URL in message.","operationId":"receivePing","requestBody":{"description":"Ping payload with FAIR Data Point info","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PingDTO"},"example":{"clientUrl":"https://example.com"}}},"required":true},"responses":{"400":{"description":"Invalid ping format"},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Resource Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"204":{"description":"Ping accepted (no content)"},"429":{"description":"Rate limit exceeded"}}},"delete":{"tags":["Metadata: FAIR Data Point"],"description":"Delete existing FAIR Data Point","operationId":"deleteFAIR Data Point","responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/spec":{"get":{"tags":["Metadata: FAIR Data Point"],"description":"Get SHACL shape specification for FAIR Data Point","operationId":"getFAIR Data PointSpec","responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/expanded":{"get":{"tags":["Metadata: FAIR Data Point"],"description":"Get FAIR Data Point with its children","operationId":"getFAIR Data PointExpanded","responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/page/{childPrefix}":{"get":{"tags":["Metadata: FAIR Data Point"],"description":"Get a page of FAIR Data Point children","operationId":"getFAIR Data PointChildrenPage","parameters":[{"name":"childPrefix","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/meta":{"get":{"tags":["Metadata: FAIR Data Point"],"description":"Get metadata (memberships and state) for FAIR Data Point","operationId":"getFAIR Data PointMeta","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/meta/state":{"put":{"tags":["Metadata: FAIR Data Point"],"description":"Change state of FAIR Data Point","operationId":"putFAIR Data PointMetaState","requestBody":{"description":"New state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/members":{"get":{"tags":["Metadata: FAIR Data Point"],"description":"getFAIR Data PointMembers","operationId":"getFAIR Data PointMembers","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/members/{userUuid}":{"put":{"tags":["Metadata: FAIR Data Point"],"description":"Set membership for specific user in some FAIR Data Point","operationId":"putFAIR Data PointMember","parameters":[{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New membership","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: FAIR Data Point"],"description":"Delete membership of specific user in some FAIR Data Point","operationId":"deleteFAIR Data PointMember","parameters":[{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry":{"post":{"tags":["Metadata: PatientRegistry"],"description":"Create a new PatientRegistry","operationId":"postPatientRegistry","requestBody":{"description":"PatientRegistry in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}":{"get":{"tags":["Metadata: PatientRegistry"],"description":"Get PatientRegistry","operationId":"getPatientRegistry","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: PatientRegistry"],"description":"Edit existing PatientRegistry","operationId":"putPatientRegistry","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"PatientRegistry in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: PatientRegistry"],"description":"Delete existing PatientRegistry","operationId":"deletePatientRegistry","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/spec":{"get":{"tags":["Metadata: PatientRegistry"],"description":"Get SHACL shape specification for PatientRegistry","operationId":"getPatientRegistrySpec","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/expanded":{"get":{"tags":["Metadata: PatientRegistry"],"description":"Get PatientRegistry with its children","operationId":"getPatientRegistryExpanded","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/page/{childPrefix}":{"get":{"tags":["Metadata: PatientRegistry"],"description":"Get a page of PatientRegistry children","operationId":"getPatientRegistryChildrenPage","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"childPrefix","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/meta":{"get":{"tags":["Metadata: PatientRegistry"],"description":"Get metadata (memberships and state) for PatientRegistry","operationId":"getPatientRegistryMeta","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/meta/state":{"put":{"tags":["Metadata: PatientRegistry"],"description":"Change state of PatientRegistry","operationId":"putPatientRegistryMetaState","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetaStateChangeDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/members":{"get":{"tags":["Metadata: PatientRegistry"],"description":"Get members of a specific PatientRegistry","operationId":"getPatientRegistryMembers","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberDTO"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/patientRegistry/{uuid}/members/{userUuid}":{"put":{"tags":["Metadata: PatientRegistry"],"description":"Set membership for specific user in some PatientRegistry","operationId":"putPatientRegistryMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"New membership","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberDTO"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: PatientRegistry"],"description":"Delete membership of specific user in some PatientRegistry","operationId":"deletePatientRegistryMember","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}},{"name":"userUuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataservice2":{"post":{"tags":["Metadata: DataService2"],"description":"Create a new DataService2","operationId":"postDataservice2","requestBody":{"description":"DataService2 in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataservice2/{uuid}":{"get":{"tags":["Metadata: DataService2"],"description":"Get DataService2","operationId":"getDataservice2","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"put":{"tags":["Metadata: DataService2"],"description":"Edit existing DataService2","operationId":"putDataservice2","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"DataService2 in RDF","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/turtle":{"schema":{"type":"string"}},"application/ld+json":{"schema":{"type":"string"}},"application/rdf+xml":{"schema":{"type":"string"}},"text/n3":{"schema":{"type":"string"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}},"delete":{"tags":["Metadata: DataService2"],"description":"Delete existing DataService2","operationId":"deleteDataservice2","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}},"500":{"description":"Internal Server Error","content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/ErrorDTO"}}}}}}},"/dataservice2/{uuid}/spec":{"get":{"tags":["Metadata: DataService2"],"description":"Get SHACL shape specification for DataService2","operationId":"getDataservice2Spec","parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text
[...]
